Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.ray2.radiosity.triangulation
Class Triangulizer

    java.lang.Object
      de.grogra.ray2.radiosity.triangulation.Triangulizer

    public class Triangulizer

extends java.lang.Object

This class divides a volume into patches.

Author:
  Ralf Kopsch

Constructor Summary
`Triangulizer()`

Method Summary
`static void` | `triangulize(GroupListBuilder builder, Scene scene, int lightIndex)` This method divides a Light into patches.
`static void` | `triangulize(GroupListBuilder builder, Scene scene, Volume v)` This method divides a volume into a list of patches.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Triangulizer

    public Triangulizer()

Method Detail

### triangulize

    public static void triangulize(GroupListBuilder builder,
                                   Scene scene,
                                   int lightIndex)
                            throws TriangulationException

  This method divides a Light into patches.

  Parameters:
    `builder` - the global builder list.
    `scene` - the scene
    `lightIndex` - the light index.
  Throws:
    `TriangulationException` - thrown if, a volume can not be divided.

### triangulize

    public static void triangulize(GroupListBuilder builder,
                                   Scene scene,
                                   Volume v)
                            throws TriangulationException

  This method divides a volume into a list of patches.

  Parameters:
    `builder` - the global builder list.
    `scene` - the scene.
    `v` - a volume.
  Throws:
    `TriangulationException` - thrown if, the given volume can not be divided.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD